#include <bits/stdc++.h>
using namespace std;
int W = -1;
vector <int> a;
int n;
void per1 (int u)
{
    vector <int> v;
    v.push_back(a[n-1]);
    v.push_back(a[n-u]);
    a.erase(lower_bound (a.begin(), a.end(), a[n-1]));
    a.erase(lower_bound (a.begin(), a.end(), a[n-u]));

    for (int i = 2; i < n; i++)
    {
      /*  for (auto z : a)
        cout << z << " ";
        cout << endl;
*/
        int x = lower_bound (a.begin(), a.end(), v[i-1]*2-v[i-2])-a.begin();
        if (x > a.size()-1)
        {
         
            return;
        }
       // cout << x << " " << a[x] << " " << v[i-2] << " " << v[i-1]*2 << endl;
        if (a[x]+v[i-2] < v[i-1]*2)
        {
           
            return;
        }
        v.push_back(a[x]);
        a.erase(lower_bound (a.begin(), a.end(), v[i-1]*2-v[i-2]));
    }

   W=1;
  // cout << "+";
}

void solve ()
{
    W=-1;
    cin>>n;
    a.resize(n);
    for (int i = 0; i < n; i++)
        cin >> a[i];
    
    sort (a.begin(),a.end());
    vector <int> aa=a;
    for (int i = 2; i <= n; i++)
    {
        per1(i);
        a=aa;
    }
    
  

    if (W==1)
    cout << "YES" << endl;
    else
    cout << "NO" << endl;
}

int main() {
    ios_base::sync_with_stdio(0);
    cin.tie(0);
    cout.tie(0);

    int t;
    cin >> t;

    while (t--)
    {
        solve();
    }
}
